<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CompraUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            'fecha' => ['required'],
            'proveedor_id' => ['nullable', 'integer', 'exists:proveedores,id'],
            'total' => ['required', 'numeric', 'between:-99999999.99,99999999.99'],
            'estado' => ['required', 'in:Recibida,Pendiente,Anulada'],
        ];
    }
}
